org.apache.ignite.internal.cache.query.index

## Class IndexQueryResultMeta

- java.lang.Object
- - org.apache.ignite.internal.cache.query.index.IndexQueryResultMeta

All Implemented Interfaces:
  Externalizable, Serializable

    public class IndexQueryResultMeta
    extends Object
    implements Externalizable

Metadata for IndexQuery response. This information is required to be sent to a node that initiated a query. Thick client nodes may have irrelevant information about index structure, `MetaPageInfo`.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IndexQueryResultMeta()`
`IndexQueryResultMeta(SortedIndexDefinition def, int critSize)`

### Method Summary

All Methods Instance Methods Concrete Methods
`LinkedHashMap<String,IndexKeyDefinition>` `keyDefinitions()`
`IndexKeyTypeSettings` `keyTypeSettings()`
`void` `readExternal(ObjectInput in)`
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IndexQueryResultMeta

    public IndexQueryResultMeta()

#### IndexQueryResultMeta

    public IndexQueryResultMeta(SortedIndexDefinition def,
                                int critSize)

### Method Detail

#### keyTypeSettings

    public IndexKeyTypeSettings keyTypeSettings()

#### keyDefinitions

    public LinkedHashMap<String,IndexKeyDefinition> keyDefinitions()

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Throws:
  `IOException`
  `ClassNotFoundException`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023